Bug 193120 - /usr/include/sysfs is not owned by any package
/usr/include/sysfs is not owned by any package
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: sysfsutils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-25 09:01 EDT by Robert Scheck
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-14 07:19:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-05-25 09:01:46 EDT
Description of problem:
/usr/include/sysfs is not owned by any package, but should be owned by 
sysfsutils, as the sysfsutils rpm package is delivering its content.

Version-Release number of selected component (if applicable):
sysfsutils-1.3.0-2

How reproducible:
rpm -qf /usr/include/sysfs

Expected results:
Please apply the following patch (or better):

--- snipp ---
--- sysfsutils.spec       2006-04-28 04:11:42.000000000 +0200
+++ sysfsutils.spec.rsc   2006-05-25 15:04:36.000000000 +0200
@@ -57,6 +57,7 @@

 %files devel
 %defattr(-,root,root)
+%dir %{_includedir}/sysfs
 %{_includedir}/sysfs/libsysfs.h
 %{_includedir}/sysfs/dlist.h
 %{_libdir}/libsysfs.a
@@ -83,7 +84,7 @@
 - Rebuild

 * Wed Feb 09 2005 AJ Lewis <alewis@redhat.com> 1.2.0-3
-- start using %configure instead of calling configure directly
+- start using %%configure instead of calling configure directly

 * Wed Feb 09 2005 AJ Lewis <alewis@redhat.com> 1.2.0-2
 - rebuild
--- snapp ---

Additional info:
BTW, the rpm macro %configure has to be escaped to %%configure in %changelog
to prevent expanding after building the rpm package.
Comment 1 Neil Horman 2006-05-30 13:45:36 EDT
Thanks, committed.  This will get picked up when FC-6 forks.
Comment 2 Robert Scheck 2006-06-14 07:19:24 EDT
Neil Horman changed at Fri, 9 Jun 2006 13:45:55 -0400 (lost due hardware 
failure):

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|MODIFIED                    |CLOSED
         Resolution|                            |NEXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.